Crystal Space: csPlatformMemoryMappingPosix Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPlatformMemoryMappingPosix Class Reference

Memory mapping for platforms with POSIX mmap() support. More...

`#include <csutil/mmap_posix.h>`

List of all members.

## Protected Member Functions
| csPlatformMemoryMappingPosix ()
| Create a new mapping.
void | MapWindow (PlatformMemoryMapping &mapping, size_t offset, size_t len)
| Map a part of the file into memory and return a pointer to mapped data.
bool | Ok ()
void | UnmapWindow (PlatformMemoryMapping &mapping)
| Unmap a mapping of the file.
| ~csPlatformMemoryMappingPosix ()
| Destroy file mapping.
## Protected Attributes
size_t | granularity
int | hMappedFile
## Classes
struct | PlatformMemoryMapping

## Detailed Description

Memory mapping for platforms with POSIX mmap() support.

Remarks:
  This class serves as the platform-dependent part of csMemoryMappedIO, use that for memory mapping support in your application.

Definition at line 35 of file mmap_posix.h.

## Constructor & Destructor Documentation

csPlatformMemoryMappingPosix::csPlatformMemoryMappingPosix | ( |  | ) | `[protected]`

Create a new mapping.

csPlatformMemoryMappingPosix::~csPlatformMemoryMappingPosix | ( |  | ) | `[protected]`

Destroy file mapping.

## Member Function Documentation

void csPlatformMemoryMappingPosix::MapWindow | ( | PlatformMemoryMapping & | mapping,
|  | size_t | offset,
|  | size_t | len |
| ) |  |  | `[protected]`

Map a part of the file into memory and return a pointer to mapped data.

offset and len are the offset and length of the part of the file to map. Both should be multiples of the granularity returned by GetPageGranularity(); otherwise, the function may fail. Returns 0 in case of failure.

void csPlatformMemoryMappingPosix::UnmapWindow | ( | PlatformMemoryMapping & | mapping | ) | `[protected]`

Unmap a mapping of the file.

The documentation for this class was generated from the following file:

- csutil/mmap_posix.h